
apiVersion: apps/v1
kind: Deployment
metadata:
  name: release-name
  labels:
    app.kubernetes.io/component: 'workload'
    app.kubernetes.io/instance: 'release-name'
    app.kubernetes.io/managed-by: 'Helm'
    app.kubernetes.io/name: 'release-name'
    app.kubernetes.io/part-of: 'release-namespace'
    app.kubernetes.io/version: 'undefined'
  annotations:
    {}
spec:
      selector:
        matchLabels:
          app: 'release-name'
      template:
        metadata:
          labels:
            app: 'release-name'
            app.kubernetes.io/component: 'workload'
            app.kubernetes.io/instance: 'release-name'
            app.kubernetes.io/managed-by: 'Helm'
            app.kubernetes.io/name: 'release-name'
            app.kubernetes.io/part-of: 'release-namespace'
            app.kubernetes.io/version: 'undefined'
          annotations:
            checksum/configs: 01ba4719c80b6fe911b091a7c05124b64eeece964e09c058ef8f9805daca546b
            checksum/secrets: f52d711103d50a437830c6fbcd04fb4bab49a0f82f6d26d1c791c6e8488dd090
        spec:
          containers:
          - name: release-name
            image: 
            command:
            - sh
            - -c
            - |-
              myCommand \
              --myArg 'p1' \
              --myArg 'p2' \
              --myArg 'p3' \
              --myArg 'p4' \
              --myArg 'p5' \
              --length 5
            args:
            - sh
            - -c
            - myCommand --myArg 'p1' --myArg 'p2' --myArg 'p3' --myArg 'p4' --myArg 'p5' --length
              5
            envFrom:
            env:
            volumeMounts:
          volumes:
